Subject: Re: linux-next: build warnings after merge of the mm tree

From: Andrew Morton <[email-masked]>
Date: Mon, 1 Jul 2024 23:18:26 -0700

On Mon, 1 Jul 2024 21:33:20 -0700 Jiaqi Yan <[email-masked]> wrote:

> > > This seems a reasonable thing to do so there's probably some way in
> > > which to do it, but a bit of grepping failed to turn up examples in
> > > existing .rst files.  Can someone please suggest?
> >
> > It seems I need to add some blank lines according to [1], especially
> > to add a blank line above the first list item:
> >
> > diff --git a/Documentation/admin-guide/sysctl/vm.rst
> > b/Documentation/admin-guide/sysctl/vm.rst
> > index 75e22137d849..74b4c0f65213 100644
> > --- a/Documentation/admin-guide/sysctl/vm.rst
> > +++ b/Documentation/admin-guide/sysctl/vm.rst
> > @@ -274,12 +274,15 @@ Correctable memory errors are very common on
> > servers. Soft-offline is kernel's
> >  solution for memory pages having (excessive) corrected memory errors.
> >
> >  For different types of page, soft-offline has different behaviors / costs.
> > +
> >  - For a raw error page, soft-offline migrates the in-use page's content to
> >    a new raw page.
> > +
> >  - For a page that is part of a transparent hugepage, soft-offline splits the
> >    transparent hugepage into raw pages, then migrates only the raw error page.
> >    As a result, user is transparently backed by 1 less hugepage, impacting
> >    memory access performance.
> > +
> >  - For a page that is part of a HugeTLB hugepage, soft-offline first migrates
> >    the entire HugeTLB hugepage, during which a free hugepage will be consumed
> >    as migration target.  Then the original hugepage is dissolved into raw
> >
> > But I am having trouble testing the build, so wasn't able to validate
> > the change above:
> >
> > Documentation$ make
> > /tools/net/ynl/ynl-gen-rst.py -o
> > /Documentation/networking/netlink_spec/index.rst -x
> > make: /tools/net/ynl/ynl-gen-rst.py: No such file or directory
> > make: *** [Makefile:113:
> > /Documentation/networking/netlink_spec/index.rst] Error 127

You need to install all sorts of whacky system and python packages. 
The (failed) build process should guide you through this.

> I tried another way: make htmldocs at repo's root directory. Although
> I wasn't able to finish the make process,
> 
> - without the blank lines:
> 
>   Documentation/admin-guide/sysctl/vm.rst:278: ERROR: Unexpected indentation.
>   Documentation/admin-guide/sysctl/vm.rst:279: WARNING: Block quote
> ends without a blank line; unexpected unindent.
> 
> - with the blank lines added, the ERROR and WARNING in vm/rst are gone.
> 
> Andrew and Stephen, what is the best way to post the fix for this?
> Should I send out a v8 of the patch with the blank lines added? or a
> standalone commit for this fix?

I added your fix, thanks.